# Class HealthWriteResult

java.lang.Object
com.codename1.health.HealthWriteResult

public final class HealthWriteResult extends Object
The outcome of a write. A write can partially succeed -- a batch of a thousand samples with three bad timestamps writes 997 -- so this reports per-sample results rather than a single boolean.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `HealthWriteResult()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `void`
  `addRejection(String reason)`
  Records a rejected sample.
  `void`
  `addSampleId(String id)`
  Records a stored sample.
  `List<String>`
  `getRejections()`
  One human-readable message per rejected sample, empty when everything was stored.
  `List<String>`
  `getSampleIds()`
  The platform identifiers assigned to the stored samples, in write order.
  `int`
  `getWrittenCount()`
  How many samples were stored.
  `boolean`
  `hasRejections()`
  `true` when at least one sample was rejected.
  `String`
  `toString()`
  Returns a string representation of the object.

  ### Methods inherited from class Object

  `clone, equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### HealthWriteResult

    public HealthWriteResult()

- ## Method Details

  - ### getWrittenCount

    public int getWrittenCount()
    How many samples were stored.

  - ### getSampleIds

    public List<String> getSampleIds()
    The platform identifiers assigned to the stored samples, in write order. Read the warning on `HealthSample.getId()` before persisting any of them.

  - ### getRejections

    public List<String> getRejections()
    One human-readable message per rejected sample, empty when everything was stored. Surface these rather than discarding them -- a silently dropped sample is the hardest kind of health bug to track down later.

  - ### hasRejections

    public boolean hasRejections()
    `true` when at least one sample was rejected.

  - ### addSampleId

    public void addSampleId(String id)
    Records a stored sample. Called by `HealthStore` and ports.

  - ### addRejection

    public void addRejection(String reason)
    Records a rejected sample. Called by `HealthStore` and ports.

  - ### toString

    public String toString()
    Description copied from class: `Object`
    Returns a string representation of the object. In general, the toString method returns a string that "textually represents" this object. The result should be a concise but informative representation that is easy for a person to read. It is recommended that all subclasses override this method. The toString method for class Object returns a string consisting of the name of the class of which the object is an instance, the at-sign character `@', and the unsigned hexadecimal representation of the hash code of the object. In other words, this method returns a string equal to the value of: getClass().getName() + '@' + Integer.toHexString(hashCode())
    Overrides:
      `toString` in class `Object`